package arabiannight.tistory.com.layoutinflater;

import android.app.Activity;
import android.graphics.Color;
import android.os.Bundle;
import android.view.Gravity;
import android.view.View;
import android.view.ViewGroup;
import android.widget.RelativeLayout;
import android.widget.RelativeLayout.LayoutParams;
import android.widget.TextView;

public class MainActivity extends Activity {

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		
		// Inflater View 만들기
		View view = (View) getLayoutInflater().
				inflate(R.layout.activity_main, null);
		
		// Inflate된 View에서 Resource(ViewGroup) 얻어 오기~!
		RelativeLayout bg = (RelativeLayout) view.findViewById(R.id.rl_background);
		bg.setBackgroundColor(Color.GREEN);
		
		// Inflate된 View에서 Child인 TextView를 얻어 오기
		TextView tv = (TextView) view.findViewById(R.id.tv_content);
		tv.setGravity(Gravity.CENTER);
		
		// Child View인 TextView 속성 재정의 하기 (부모의 속성을 얻어옴)
		RelativeLayout.LayoutParams params = (RelativeLayout.LayoutParams)
				tv.getLayoutParams(); 
		
		params.width = LayoutParams.MATCH_PARENT;
		params.height = LayoutParams.WRAP_CONTENT;
		
		tv.setLayoutParams(params);
		
		
		/**
		 * <오류코드>
		 * RelativeLayout.LayoutParams bg_params = (RelativeLayout.LayoutParams)
		 *		bg.getLayoutParams(); 
		 * 
		 *	bg.setLayoutParams(bg_params);
		 */
		
		// bg는 위의 부모가 없기 때문에 위의 속성을 사용하면 에러 발생 후 죽게 됩니다.
		// 그래도 사용해야 되는 경우가 생긴다면
		// ViewGroup.LayoutParams 을 사용해서 넣어 주시거나(부모가 없어도 LayoutParams 사용가능)
		// XML에 빈 부모를 하나 더 생성 하셔서 bg를 차일드로 넣고 작업 하시기 바랍니다.^^
		// 빈 부모의 속성(LayoutParams)를 지정해 주셔야 합니다.
		
		setContentView(view);
		
	}

}
